Skip to content
API reference

Tasks

Follow-ups, calls and meetings.

GET/tasks

List tasks

Follow-ups, calls and meetings.

Needs the permission tasks:read.

ParameterInTypeNotes
limitqueryintegerat least 1. up to 200. default 50
cursorquerystringup to 512 characters
qquerystringup to 100 characters
assigneequeryone of me or one of unassigned or one of any or string (uuid)
statusqueryone of open, done, alldefault "open"
priorityqueryone of low, medium, high, urgent
kindqueryone of todo, call, email, meeting, follow_up
leadIdquerystring (uuid)
contactIdquerystring (uuid)
duequeryone of overdue, today, week, none
dueFromquerystring (date-time)
dueToquerystring (date-time)
sortqueryone of due, created, prioritydefault "due"
orderqueryone of asc, descdefault "asc"
curl -X GET https://crm.anibrosdesign.com/api/v1/tasks \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 403 429

POST/tasks

Create a task

Needs the permission tasks:create.

ParameterInTypeNotes
Idempotency-KeyheaderstringAny unique string up to 128 characters. Repeating the request with the same key returns the first response. up to 128 characters
Body fieldTypeNotes
title requiredstringat least 1 characters. up to 200 characters
descriptionstring or null
meetingUrlstring or null
meetingModeone of video, in_person, phone or null
locationstring or null
durationMinutesinteger or null
kindone of todo, call, email, meeting, follow_up
priorityone of low, medium, high, urgent
dueDatestring (date-time) or null
remindBeforeMinutesinteger or null
recurrenceobject or null
recurrence.freq requiredone of daily, weekly, monthly
recurrence.interval requiredintegerat least 1. up to 30
assignedTostring (uuid) or null
leadIdstring (uuid) or null
contactIdstring (uuid) or null
curl -X POST https://crm.anibrosdesign.com/api/v1/tasks \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"title":"text","description":"text","meetingUrl":"text"}'

Responses: 201 400 401 402 403 429

POST/tasks/bulk

Bulk (tasks)

Needs the permission tasks:update.

Body fieldTypeNotes
ids requiredlist of string (uuid)at least 1 items. up to 100 items
action requiredone of complete, cancel, reassign
assignedTostring (uuid) or null
curl -X POST https://crm.anibrosdesign.com/api/v1/tasks/bulk \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"ids":["01a15d23-0000-7000-8000-000000000000"],"action":"complete","assignedTo":"01a15d23-0000-7000-8000-000000000000"}'

Responses: 200 400 401 402 403 429

GET/tasks/summary

Get summary (tasks)

Needs the permission tasks:read.

curl -X GET https://crm.anibrosdesign.com/api/v1/tasks/summary \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 401 403 429

GET/tasks/{id}

Get a task

Needs the permission tasks:read.

ParameterInTypeNotes
id requiredpathstring (uuid)
curl -X GET https://crm.anibrosdesign.com/api/v1/tasks/{id} \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 403 404 429

PATCH/tasks/{id}

Change a task

Needs the permission tasks:update.

ParameterInTypeNotes
id requiredpathstring (uuid)
Body fieldTypeNotes
titlestringat least 1 characters. up to 200 characters
descriptionstring or null
meetingUrlstring or null
meetingModeone of video, in_person, phone or null
locationstring or null
durationMinutesinteger or null
kindone of todo, call, email, meeting, follow_up
priorityone of low, medium, high, urgent
dueDatestring (date-time) or null
remindBeforeMinutesinteger or null
recurrenceobject or null
recurrence.freq requiredone of daily, weekly, monthly
recurrence.interval requiredintegerat least 1. up to 30
assignedTostring (uuid) or null
leadIdstring (uuid) or null
contactIdstring (uuid) or null
statusone of pending, in_progress
curl -X PATCH https://crm.anibrosdesign.com/api/v1/tasks/{id} \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"title":"text","description":"text","meetingUrl":"text"}'

Responses: 200 400 401 402 403 404 412 429

DELETE/tasks/{id}

Delete a task

Needs the permission tasks:delete.

ParameterInTypeNotes
id requiredpathstring (uuid)
curl -X DELETE https://crm.anibrosdesign.com/api/v1/tasks/{id} \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 204 400 401 402 403 404 429

POST/tasks/{id}/cancel

Cancel (tasks)

Needs the permission tasks:update.

ParameterInTypeNotes
id requiredpathstring (uuid)
curl -X POST https://crm.anibrosdesign.com/api/v1/tasks/{id}/cancel \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 402 403 404 429

POST/tasks/{id}/complete

Mark a task done

Needs the permission tasks:update.

ParameterInTypeNotes
id requiredpathstring (uuid)
curl -X POST https://crm.anibrosdesign.com/api/v1/tasks/{id}/complete \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 402 403 404 429

POST/tasks/{id}/reopen

Reopen (tasks)

Needs the permission tasks:update.

ParameterInTypeNotes
id requiredpathstring (uuid)
curl -X POST https://crm.anibrosdesign.com/api/v1/tasks/{id}/reopen \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 402 403 404 429

Something missing or unclear? Tell us.

Chat on WhatsApp